Debian Bug report logs - #639982
libfm0: Removable directory not removed if traversing through children denied

version graph

Package: libfm0; Maintainer for libfm0 is Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>;

Reported by: "Marcin Szewczyk, Wodny" <debian.bugreport@wodny.org>

Date: Thu, 1 Sep 2011 10:49:01 UTC

Severity: normal

Found in version libfm/0.1.14-2

Fixed in version libfm/0.1.17-1

Done: Andrew Lee (李健秋) <ajqlee@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#639982; Package libfm0. (Thu, 01 Sep 2011 10:49:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marcin Szewczyk, Wodny" <debian.bugreport@wodny.org>:
New Bug report received and forwarded. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Thu, 01 Sep 2011 10:49:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Marcin Szewczyk, Wodny" <debian.bugreport@wodny.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libfm0: Removable directory not removed if traversing through children denied
Date: Thu, 01 Sep 2011 12:42:54 +0200
Package: libfm0
Version: 0.1.14-2
Severity: normal

Test case:
drwxr-xr-x 3 wodny wodny 4096 Sep  1 12:39 .
drwxr-xr-x 5 wodny wodny 4096 Sep  1 12:39 ..
drwx------ 2 root  root  4096 Sep  1 12:39 testdir

Testdir is empty.

Rmdir testdir will succeed.
Gvfs-rm will succeed.
Removing testdir through pcmanfm will fail.


Some debug:
$ gdb pcmanfm

[...]

(gdb) b _fm_file_ops_job_delete_file

[...]

Breakpoint 1, _fm_file_ops_job_delete_file (job=0x81b6880, gf=0xb2a45520,
inf=0x0) at job/fm-file-ops-job-delete.c:33
33      job/fm-file-ops-job-delete.c: No such file or directory.
  in job/fm-file-ops-job-delete.c

[...]

84          if(is_dir)
(gdb) n
88              if(!g_file_is_native(gf))
(gdb) n
107             GFileMonitor* old_mon = fjob->src_folder_mon;
(gdb) n
108                     GFileEnumerator* enu = g_file_enumerate_children(gf,
query,
(gdb) n
111             if(!enu)
(gdb) n
108                     GFileEnumerator* enu = g_file_enumerate_children(gf,
query,
(gdb) n
111             if(!enu)
(gdb) n
113                 FmJobErrorAction act = fm_job_emit_error(job, err,
FM_JOB_ERROR_MODERATE);
(gdb) n
114                 g_error_free(err);
(gdb) n
113                 FmJobErrorAction act = fm_job_emit_error(job, err,
FM_JOB_ERROR_MODERATE);
(gdb) n
** (pcmanfm:12064): DEBUG: FmJob error: Permission denied
114                 g_error_free(err);
(gdb) n
116                 return FALSE;
(gdb) n
202     }



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (600, 'testing'), (500, 'stable-updates'), (500, 'stable'), (50, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libfm0 depends on:
ii  libc6                         2.13-16    Embedded GNU C Library: Shared lib
ii  libdbus-1-3                   1.4.14-1   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.94-4     simple interprocess messaging syst
ii  libglib2.0-0                  2.28.6-1   The GLib library of C routines
ii  libmenu-cache1                0.3.2-2.1  an implementation of the freedeskt
ii  lxmenu-data                   0.1.2-1    freedesktop.org menu specification

libfm0 recommends no packages.

libfm0 suggests no packages.

-- no debconf information




Reply sent to Andrew Lee (李健秋) <ajqlee@debian.org>:
You have taken responsibility. (Tue, 31 Jan 2012 21:51:25 GMT) Full text and rfc822 format available.

Notification sent to "Marcin Szewczyk, Wodny" <debian.bugreport@wodny.org>:
Bug acknowledged by developer. (Tue, 31 Jan 2012 21:51:27 GMT) Full text and rfc822 format available.

Message #10 received at 639982-close@bugs.debian.org (full text, mbox):

From: Andrew Lee (李健秋) <ajqlee@debian.org>
To: 639982-close@bugs.debian.org
Subject: Bug#639982: fixed in libfm 0.1.17-1
Date: Tue, 31 Jan 2012 21:48:45 +0000
Source: libfm
Source-Version: 0.1.17-1

We believe that the bug you reported is fixed in the latest version of
libfm, which is due to be installed in the Debian FTP archive:

libfm-data_0.1.17-1_all.deb
  to main/libf/libfm/libfm-data_0.1.17-1_all.deb
libfm-dev_0.1.17-1_amd64.deb
  to main/libf/libfm/libfm-dev_0.1.17-1_amd64.deb
libfm-gtk-bin_0.1.17-1_amd64.deb
  to main/libf/libfm/libfm-gtk-bin_0.1.17-1_amd64.deb
libfm-gtk1_0.1.17-1_amd64.deb
  to main/libf/libfm/libfm-gtk1_0.1.17-1_amd64.deb
libfm1-dbg_0.1.17-1_amd64.deb
  to main/libf/libfm/libfm1-dbg_0.1.17-1_amd64.deb
libfm1_0.1.17-1_amd64.deb
  to main/libf/libfm/libfm1_0.1.17-1_amd64.deb
libfm_0.1.17-1.debian.tar.gz
  to main/libf/libfm/libfm_0.1.17-1.debian.tar.gz
libfm_0.1.17-1.dsc
  to main/libf/libfm/libfm_0.1.17-1.dsc
libfm_0.1.17.orig.tar.gz
  to main/libf/libfm/libfm_0.1.17.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639982@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Lee (李健秋) <ajqlee@debian.org> (supplier of updated libfm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 01 Feb 2012 01:12:59 +0800
Source: libfm
Binary: libfm1 libfm-data libfm-gtk1 libfm-gtk-bin libfm-dev libfm1-dbg
Architecture: source amd64 all
Version: 0.1.17-1
Distribution: unstable
Urgency: low
Maintainer: Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>
Changed-By: Andrew Lee (李健秋) <ajqlee@debian.org>
Description: 
 libfm-data - file management support - common data
 libfm-dev  - file management support - development headers
 libfm-gtk-bin - file management support - utilities
 libfm-gtk1 - file management support - GTK+ GUI library
 libfm1     - file management support - core library
 libfm1-dbg - file management support - debugging symbols
Closes: 608077 614470 639982 653337
Changes: 
 libfm (0.1.17-1) unstable; urgency=low
 .
   [ Andrew Lee (李健秋) ]
   * Merging upstream version 0.1.17:
     (Closes: #653337, #608077, #639982, #614470)
     - Added missing files for building API doc with gtk-doc.
     - Fixed incorrect header guards.
     - Added some compatibility headers and files used with min-lib-ver.py
       for future gtk3 migration.
     - Added warning message for gtk-doc in autogen.sh and add configuration
       summary in configure.ac.
     - Removed generated files from version control. and Fix wrong project
       URL in configure.ac.
     - fixed a DSO issue
     - re-added docs
     - Remove docs directory from make file
     - Added missing license header
     - Try to fix Lubuntu bug LP#820865: pcmanfm cut&paste a folder to a
       destination folder withouth write permission causes data loss.
       https://bugs.launchpad.net/ubuntu/+source/pcmanfm/+bug/820865
     - Add missing license info and fix some build problems found by make
       distcheck.
     - Bumped ABI version with libtool -version-info to 1:0:0.
     - Update AUTHORS info.
     - Fixed Regression: Dnd to add folder to bookmarks is broken.
     - Added optional window titles to commonly used dialogs provided
       by fm-gtk-utils.c. Fix #3300800
     – Deletion prompt has no title.
     - Fixed untranslatable messages.
     - Make menu of side pane translatable.
     - Apply patch #3301641: Typing “~” in location bar loads root folder.
     - API changed: fm_folder_get_is_loading() -> fm_folder_get_is_loaded(),
       fm_folder_model_get_is_loading() -> fm_folder_model_get_is_loaded().
       Add fm_folder_view_get_is_loaded(). Correctly update popup menu of
       FmSidePane when mode is changed.
     - Added missing g_object_ref. - Add "changed", "removed",
       "content-changed", and "fs-info" signals to FmFolder and add
       filesystem size query to FmFolder.
     - Implement %k field code for Exec key according to desktop entry spec.
     - Fixed SF#3093778 Pasting empty string causes copying “/” to current
       folder.
     - Added a simple and basic implementation of button-style path bar.
     - Fixed SF#3086703 – PCManFM crashes on non existent directories.
     - Fixed SF#3115734 – Copying to long path names.
     - Do chdir to / if cwd is under the mounted filesystem which is going
       to be unmounted.
     - Fixed SF#3114626 – PCManFM 0.9.9 Umount partitions problem.
     - Fixed SF#3127903 – Fails to give permission denied error when
       overwriting.
     - Fixed reference of invalid widget pointer in properties dialog.
     - Prevent removing built ui files and fix #3181001
     – data/ui/*.glade files missing in tarball.
     - Show tooltips for tab labels when the label text is ellipsized.
     - Use a forward compatible way to register uri scheme handlers as in
       glib >= 2.27.
     - Fixed SF#3094197: Prepare deprecation of the gio module.
     - Fixed SF#3132262: Crash when trying to restore files from trash.
     - Fixed SF#3148077: Latest pcmanfm/libfm crashes when trying to open
       /proc/self/fd/ (or its symlink /dev/fd/). In this same system
       nautilus opens that directory fine.
     - Fixed SF#3143296: spaces are still (or again) not escaped in paths to
       execute.
     - Fixed SF#3135910: "Extract here" doesn’t handle space and encoding
       characters.
     - Added some macros to validate enum values.
     - Changed order of typedeffing enums and declaring them
     – for C++ compatibility
 .
   [ Sergey Slipchenko ]
   * Drop 02-libfm-0.1.14-API-changes.patch.
   * Bumped SONAME. Fixed unused build dependency on cdbs as reported on PTS.
   * Added configure option to build with gtk-doc, changed name of the package
     with debugging symbols.
   * Renamed *.install and *.symbols files based on new package names.
   * Fixed files and directories to install, usr/lib/gio/modules needed when
     glib < 2.27 (on squeeze).
   * Updated *.symbols files.
 .
   [ Andrew Lee (李健秋) ]
   * Updating Vcs tags.
   * Using Debhelper 8.
   * Sorting Build-Depends.
   * Warpping build-depends.
   * Warpping and sorting depends.
   * Updating copyright info.
   * Drop useless NEWS and README in debian/docs.
   * Removing useless whitespaces at EOL and EOF.
   * Solving dependency problem while upgrade: Added new binary packages
     libfm-data and libfm-gtk-bin.
   * Create libfm-data.install and relocate files except .so from
     libfm1.install.
   * Create libfm-gtk-bin.install and relocate files except .so from
     libfm-gtk1.install.
   * Bumped standards-version to 3.9.2.
Checksums-Sha1: 
 ea183fd905fa56d8a8b400c6d4cf17eabd462de2 1650 libfm_0.1.17-1.dsc
 06767191b0c8fbcc12b0ad0a61cf3774f4448c86 874556 libfm_0.1.17.orig.tar.gz
 b9aa56e3e08211a10308bbfa8833ed4b0e0b459a 15624 libfm_0.1.17-1.debian.tar.gz
 d2e63ac891a62d08edb24d6a1f1a1043844fafe3 77316 libfm1_0.1.17-1_amd64.deb
 cd7957ec1eeeb206d604afe49fa759b941046b5a 149808 libfm-data_0.1.17-1_all.deb
 82b7ef8519eda5df4843763003d7f7d157f1111d 125218 libfm-gtk1_0.1.17-1_amd64.deb
 e7a4771ee984775c8a337ac4fb6eb613608b3c86 18442 libfm-gtk-bin_0.1.17-1_amd64.deb
 7e4df8962cebe26ee78eefaa5ac359ca315867be 106364 libfm-dev_0.1.17-1_amd64.deb
 49d793c72d9a5f07cec45af8e08c2e5f02b529bd 549530 libfm1-dbg_0.1.17-1_amd64.deb
Checksums-Sha256: 
 c2eeac5834058af7adca420034a6e2bd50f2a8291c33882b83b8de2b7481635c 1650 libfm_0.1.17-1.dsc
 1740681cff4cd4c5a2eaa9805d8898269cfb6a49a0bda0acb242def15bc7131b 874556 libfm_0.1.17.orig.tar.gz
 c39cb9ad18065188657646b6814ad43502099a98856bc8190f4abfff3f362509 15624 libfm_0.1.17-1.debian.tar.gz
 08463f7fa67ce779062b974aac91621b28335c4cfbab98bcd9d07f39a90b7061 77316 libfm1_0.1.17-1_amd64.deb
 603fd05291dde6e131e6415daf36073cde1804151daa69e432991e2a7527f064 149808 libfm-data_0.1.17-1_all.deb
 4d8095134ed91b5a26ff427c276393a38203b87c978c0bc82c7fb9474a5b6f94 125218 libfm-gtk1_0.1.17-1_amd64.deb
 4b01fb2ad7c5bf080b6c6be448eaae0a929ce581c95f4283e788c6e99f1d2af6 18442 libfm-gtk-bin_0.1.17-1_amd64.deb
 3efec17be1d8d77a8a73210eed1ce808c94e9ba61bbed7db0becb36d57a39158 106364 libfm-dev_0.1.17-1_amd64.deb
 70296eae102e983d392ae90a966bc82b90c3baf96b8d8788043fdb7988378364 549530 libfm1-dbg_0.1.17-1_amd64.deb
Files: 
 50a02bc14debf5968ad35a306fe4729c 1650 libs extra libfm_0.1.17-1.dsc
 a97e03d973e6ac727f28d0934d6c9ad5 874556 libs extra libfm_0.1.17.orig.tar.gz
 28090154e829cf8ac01d4faa84c37ef0 15624 libs extra libfm_0.1.17-1.debian.tar.gz
 a8bffb49d7b68ab5b41e9b356bf5492f 77316 libs extra libfm1_0.1.17-1_amd64.deb
 67b5e066fcd0568e2177782704e69af6 149808 misc extra libfm-data_0.1.17-1_all.deb
 34647fa7037e30d2e907f304439251ab 125218 libs extra libfm-gtk1_0.1.17-1_amd64.deb
 fbb160d3fb7be277e0aa5d9494579b80 18442 misc extra libfm-gtk-bin_0.1.17-1_amd64.deb
 e928039766bc86891b27f8a881e04adf 106364 libdevel extra libfm-dev_0.1.17-1_amd64.deb
 96ff8b95fc17d7daf9446a87eff847c6 549530 debug extra libfm1-dbg_0.1.17-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8oPqYACgkQnQYz4bYlCYUQogCeOtWnR08ZZY8dPZlWocNjjU8u
ZZ4An1mD/mMcmBeXy5uhGWW8cJkxLkzd
=UZk/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Mar 2012 07:41:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:47:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.